# abstract Function<T, ABI>(FunctionData<T, ABI>)

#### package cpp

####

Available on Android, iOS, Linux, macOS, Windows

### Constructor

###

`inline new (inValue:T)`

### Variables

###

`read onlycall:FunctionData<T, ABI>`

### Methods

###

`geq (inOther:Function<T, ABI>):Bool`

###

`inline get_call ():FunctionData<T, ABI>`

###

`gt (inOther:Function<T, ABI>):Bool`

###

`leq (inOther:Function<T, ABI>):Bool`

###

`lt (inOther:Function<T, ABI>):Bool`

### Static methods

###

`staticinline fromStaticFunction<T> (inStaticFunction:T):Callable<T>`

###

`staticinline getProcAddress<T, ABI> (inModule:String, inFunction:String):Function<T, ABI>`

###

`staticnativeFromStaticFunction<T> (inStaticFunction:T):AutoCast`

###

`staticnativeGetProcAddress<T, ABI> (inModule:String, inFunction:String):AutoCast`